- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Gets an association with the specified name.
HTTP request
GET https://compute.googleapis.com/compute/beta/projects/{project}/regions/{region}/networkPolicies/{networkPolicy}/getAssociation The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Project ID for this request. |
region |
Name of the region of this request. |
networkPolicy |
Name of the network policy to which the queried association belongs. |
Query parameters
| Parameters | |
|---|---|
name |
The name of the association to get from the network policy. |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "name": string, "attachmentTarget": string } |
| Fields | |
|---|---|
name |
The name for an association. |
attachmentTarget |
The target that the network policy is attached to. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/compute.readonlyhttps://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:
compute.regionNetworkPolicies.get
To find predefined roles that contain those permissions, see Compute Engine IAM Roles.